#include "slp/slp-common.h"

// UdpSlpAgent Class definition
class UdpSLPAgent : public UdpAgent {
public:
	UdpSLPAgent();
	UdpSLPAgent(packet_t);
	virtual int supportSLP() { return 1; }
	virtual void enableSLP() { support_slp_ = 1; }
	virtual void sendto(int nbytes, const char* flags, ns_addr_t dst);
	void recv(Packet*, Handler*);
protected:
	int support_slp_; // set to 1 if above is SLPApp
};

